このスレッドは解決済です(未解決に戻す場合はこちら)
<<戻る

ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/17 01:13
名前: よしぞう
URL:
ClamAVがバージョンUPされたみたいですので、yum -y --enablerepo=rpmforge update clamd でUPDATEしようとしましたところ、下記のようなエラーになりUPDATEできません。どうしたらいいのでしょうか?
わかる方、ご教授願います。当方、CentOS5です。


# yum -y --enablerepo=rpmforge update clamd
Loading "fastestmirror" plugin
Loading "downloadonly" plugin
Loading "installonlyn" plugin
Setting up Update Process
Setting up repositories
rpmforge 100% |=========================| 1.1 kB 00:00
base 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Determining fastest mirrors
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 2.3 MB 16:00
http://mirror.cpsc.ucalgary.ca/mirror/dag/redhat/el5/en/i386/dag/repodata/primary.xml.gz:
[Errno -1] Metadata file does not match checksum
Trying other mirror.
primary.xml.gz 100% |=========================| 2.3 MB 00:30
################################################## 6709/6709
primary.xml.gz 100% |=========================| 834 kB 00:00
################################################## 2400/2400
primary.xml.gz 100% |=========================| 205 kB 00:00
################################################## 372/372
primary.xml.gz 100% |=========================| 157 B 00:00
primary.xml.gz 100% |=========================| 104 kB 00:00
################################################## 360/360
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package clamd.i386 0:0.93-1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: libclamav.so.4(CLAMAV_PRIVATE) for package: clamd
--> Processing Dependency: libclamav.so.4 for package: clamd
--> Processing Dependency: libclamav.so.4(CLAMAV_PUBLIC) for package: clamd
--> Processing Dependency: clamav = 0.93-1.el5.rf for package: clamd
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package clamav.i386 0:0.93-1.el5.rf set to be updated
--> Running transaction check
--> Processing Dependency: libclamunrar_iface.so.3 for package: clamav
--> Finished Dependency Resolution
Error: Missing Dependency: libclamunrar_iface.so.3 is needed by package clamav


宜しくお願い致します。m(_ _"m)ペコリ
記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/17 01:52
名前: Taq
URL: http://inspiron-web.com/
よしぞう様、こんばんわ。

エラーの件ですが、私のlogwatchも同様のエラーを吐いていましたので
先ほど確認しましたが、
0.93のアップデータがまだ無いだけだと思いますよ。
そのうち出てくると思いますが、それまで待ちになるかと思います。
参考→http://rpm.pbone.net/index.php3?stat=3&limit=1&srodzaj=3&dl=40&search=clamd

# yum -y --enablerepo=rpmforge search clamd
Loading "installonlyn" plugin
Loading "downloadonly" plugin
Loading "fastestmirror" plugin
Setting up repositories
Loading mirror speeds from cached hostfile
Reading repository metadata in from local files



clamd.i386 0.92-1.el5.rf rpmforge
Matched from:
clamd



clamd.i386 0.90.3-1.el5.rf rpmforge
Matched from:
clamd



clamd.i386 0.91.2-1.el5.rf rpmforge
Matched from:
clamd



fuse-clamfs.i386 0.9.1-1.el5.rf rpmforge
Matched from:
FUSE-based user-space file system for Linux with on-access anti-virus
file scanning through clamd daemon.



perl-File-Scan-ClamAV.noarch 1.8-1.el5.rf rpmforge
Matched from:
Connect to a local Clam Anti-Virus clamd service and send commands
Connect to a local Clam Anti-Virus clamd service and send commands.



perl-ClamAV-Client.noarch 0.11-1.el5.rf rpmforge
Matched from:
A client class for the ClamAV C<clamd> virus scanner daemon
A client class for the ClamAV C<clamd> virus scanner daemon.



clamd.i386 0.92.1-1.el5.rf rpmforge
Matched from:
clamd



clamd.i386 0.92.1-1.el5.rf installed
Matched from:
clamd
記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/17 02:09
名前: よしぞう
URL:
Taq 様 こんばんわ、早速の書き込みありがとうございます。
http://rpm.pbone.net/index.php3?stat=3&limit=1&srodzaj=3&dl=40&search=clamd
では、まだupdateされていないみたいですが、

On Wed, 16 Apr 2008, yoshifuji wrote:

> when is clamav update 0.93 of centOS5 ?

It is already available.

--
-- dag wieers, dag@wieers.com, http://dag.wieers.com/ --
[Any errors in spelling, tact or fact are transmission errors]

http://dag.wieers.com/  では、既に0.93にupされているとメールをもらっております。
とりあえず、updateが正常にできるまで、待つことにします。

ありがとうございました。また、何かありましたらご教授願います。
ということで、このスレッドは解決済みに致します。m(_ _"m)ペコリ
記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/17 11:43
名前: よしぞう
URL:
私も、clamdをsearchしてみましたら、下記のような結果になりました。
この結果だと、clamdの最新版がupされているようなのですが、いまだに、Error: Missing Dependency: libclamunrar_iface.so.3 is needed by package clamav  のエラーが出ます。このエラーは libclamunrar_iface.so.3 がclamavのpackageに必要だというエラーなのではないかと思い、  search clamd で出てきたパッケージで、必要かなと思うものをインストールしてみましたが、その後も一向に同じエラーが出て、clamavを最新版にupdateできません。なぜなのでしょうか?
わかる方、ご教授願います。m(_ _"m)ペコリ
ということで、一度解決済みにしましたが、また未解決ということに致しました。


# yum -y --enablerepo=rpmforge search clamd
Loading "fastestmirror" plugin
Loading "downloadonly" plugin
Loading "installonlyn" plugin
Setting up repositories
rpmforge 100% |=========================| 1.1 kB 00:00
base 100% |=========================| 1.1 kB 00:00
updates 100% |=========================| 951 B 00:00
addons 100% |=========================| 951 B 00:00
extras 100% |=========================| 1.1 kB 00:00
Determining fastest mirrors
Reading repository metadata in from local files
primary.xml.gz 100% |=========================| 2.3 MB 05:00
http://mirror.cpsc.ucalgary.ca/mirror/dag/redhat/el5/en/i386/dag/repodata/primary.xml.gz: [Errno -1] Metadata file does not match checksum
Trying other mirror.
primary.xml.gz 100% |=========================| 2.3 MB 00:12
################################################## 6709/6709
primary.xml.gz 100% |=========================| 834 kB 00:00
################################################## 2400/2400
primary.xml.gz 100% |=========================| 205 kB 00:00
################################################## 372/372
primary.xml.gz 100% |=========================| 157 B 00:00
primary.xml.gz 100% |=========================| 104 kB 00:00
################################################## 360/360



perl-ClamAV-Client.noarch 0.11-1.el5.rf rpmforge
Matched from:
A client class for the ClamAV C<clamd> virus scanner daemon
A client class for the ClamAV C<clamd> virus scanner daemon.



clamd.i386 0.92.1-1.el5.rf rpmforge
Matched from:
clamd



clamd.i386 0.91.2-1.el5.rf rpmforge
Matched from:
clamd



fuse-clamfs.i386 0.9.1-1.el5.rf rpmforge
Matched from:
FUSE-based user-space file system for Linux with on-access anti-virus
file scanning through clamd daemon.



clamd.i386 0.92-1.el5.rf rpmforge
Matched from:
clamd



perl-File-Scan-ClamAV.noarch 1.8-1.el5.rf rpmforge
Matched from:
Connect to a local Clam Anti-Virus clamd service and send commands
Connect to a local Clam Anti-Virus clamd service and send commands.



clamd.i386 0.93-1.el5.rf rpmforge
Matched from:
clamd



clamd.i386 0.90.3-1.el5.rf rpmforge
Matched from:
clamd



perl-ClamAV-Client.noarch 0.11-1.el5.rf installed
Matched from:
A client class for the ClamAV C<clamd> virus scanner daemon

A client class for the ClamAV C<clamd> virus scanner daemon.




perl-File-Scan-ClamAV.noarch 1.8-1.el5.rf installed
Matched from:
Connect to a local Clam Anti-Virus clamd service and send commands

Connect to a local Clam Anti-Virus clamd service and send commands.




fuse-clamfs.i386 0.9.1-1.el5.rf installed
Matched from:
FUSE-based user-space file system for Linux with on-access anti-virus
file scanning through clamd daemon.




clamd.i386 0.92.1-1.el5.rf installed
Matched from:
clamd
記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/17 12:25
名前: ZED
URL:
たぶん、dagさんが一回アップしちゃったrepodataがミラーに残ってるんでしょう。

dagさんのサイトを見てみると、
http://dag.wieers.com/rpm/packages/clamav/
Latest release: 0.92.1-1
となっていて、しばらくは様子見た方がいいと思います。

記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/17 14:43
名前: よしぞう
URL:
>たぶん、dagさんが一回アップしちゃったrepodataがミラーに残ってるんでしょう。
>
>dagさんのサイトを見てみると、
>http://dag.wieers.com/rpm/packages/clamav/
>Latest release: 0.92.1-1
>となっていて、しばらくは様子見た方がいいと思います。
>
>

ZED 様 お返事ありがとうございます。
そういうことだったんですか。。。。了解致しました。それでは、しばらく様子を見るように致します。
再度、解決済みとさせて頂きます。ありがとうございました。m(_ _"m)ペコリ
記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/18 09:08
名前: ZED
URL:
0.93-2.el5.rfがリリースされました。
結局不具合(PATH)あって再リリースされた模様です。
これでエラーは出ないと思われます。

ただ、一部使わなくなったオプション(ArchiveBlockMax)があるため、freshclamを実行した際エラーが出ることがあります。
チェックするの面倒な方は削除後インストールし直し、設定してあげればいいと思います。
暫定的な措置みたいな扱いのパッケージなので、下記のとおり実践してください。
yum clean all
yum update
yum -y install clamd
これで0.93-2.el5.rfがインストールされると思います。
記事編集 編集
Re: ClamAVのupdateがエラーになる このメッセージに返信する
日時: 2008/04/18 10:27
名前: よしぞう
URL:
>0.93-2.el5.rfがリリースされました。
>結局不具合(PATH)あって再リリースされた模様です。
>これでエラーは出ないと思われます。
>
>ただ、一部使わなくなったオプション(ArchiveBlockMax)があるため、freshclamを実行した際エラーが出ることがあります。
>チェックするの面倒な方は削除後インストールし直し、設定してあげればいいと思います。
>暫定的な措置みたいな扱いのパッケージなので、下記のとおり実践してください。
>yum clean all
>yum update
>yum -y install clamd
>これで0.93-2.el5.rfがインストールされると思います。


ZED様 ありがとうございます。私のサーバーも夜中に自動でupdateされていた模様です。
ただ、下記のエラーが出ておりましたので、

/etc/cron.daily/clamscan:

ERROR: Parse error at line 300: Unknown option ArchiveMaxCompressionRatio.
WARNING: Clamd was NOT notified: Can't find or parse configuration file /etc/clamd.conf

/etc/clamd.conf の300行目をコメントアウトしました。
これで、無事にエラーが出なくなりました。
記事編集 編集
件名※必須
名前※必須
URL
任意のパスワード (投稿後のコメント修正・削除時に使用)
画像認証※必須 投稿キー(画像で表示されている数字を入力)
コメント※必須

※質問を投稿後に自己解決された場合は、原因と行った対処を具体的に書き込み下さるよう、よろしくお願いします。

- WEB PATIO -